 BEGIN TRANSACTION
	DECLARE  @DatabaseName NVARCHAR(MAX)
	SET @DatabaseName    = DB_NAME();
	
	EXEC ORKAGENELTANIM.[dbo].[prd_spcolumn] 1, @DatabaseName, 'WEB_KULLANICIPROJE','FirmaKodu','string50',''; --Alan Ekleniyor
	EXEC ORKAGENELTANIM.[dbo].[prd_spcolumn] 1, @DatabaseName, 'WEB_SURECTANIM','WEB_SURECTANIM_FirmaKodu','string50',''; --Alan Ekleniyor
COMMIT



	UPDATE WEB_SURECTANIM
	SET WEB_SURECTANIM_FirmaKodu = 'ORKA_0001_2019'

	UPDATE WEB_KULLANICIPROJE 
	SET FirmaKodu = 'ORKA_0001_2019'
	WHERE FirmaKodu IS NULL

 UPDATE WEB_KULLANICILAR 
 set tckimliknr = PK.tckimliknr
FROM ORKA_0001_2019.dbo.PUB_KIMLIKLER PK
  LEFT JOIN ORKA_0001_2019.dbo.PUB_ADRESLER AK ON PK.kayitdamga = AK.personel_kayitdamga
  LEFT JOIN ORKAGENELTANIM.dbo.WEB_KULLANICI WK ON WK.Eposta = AK.eposta
  where AK.eposta IS NOT NULL


SET IDENTITY_INSERT [dbo].[WEB_YETKI_SISTEMI] ON 
INSERT [dbo].[WEB_YETKI_SISTEMI] ([WEB_YETKI_SISTEMI_ID], [WEB_YETKI_SISTEMI_Index], [WEB_YETKI_SISTEMI_SayfaAdi], [WEB_YETKI_SISTEMI_Aktif], [WEB_YETKI_SISTEMI_AltSaayfa], [WEB_YETKI_SISTEMI_YetkiSelector], [WEB_YETKI_SISTEMI_SiraNo], [WEB_YETKI_SISTEMI_SayfaKodu], [WEB_YETKI_SISTEMI_YetkiYeri]) VALUES 
 (37, 20000, N'Personel Listesi', 1, NULL, NULL, 20, 20, 20000)
,(46, 20001, N'Kart Görünümü', 1, 20, NULL, 0, 20, 20000)
,(47, 20002, N'Liste Görünümü', 1, 20, NULL, 0, 20, 20000)
,(38, 20100, N'Avans Talebi', 1, 20, NULL, 1, 20, 20000)
,(39, 20101, N'İzin Talebi', 1, 20, NULL, 2, 20, 20000)
,(44, 20102, N'Puantaj', 1, 20, NULL, 3, 20, 20000)
,(45, 20103, N'Profili Görüntüle', 1, 20, NULL, 4, 20, 20000)
,(46, 20104, N'PDKS Puantaj', 1, 20, NULL, 5, 20, 20000)
SET IDENTITY_INSERT [dbo].[WEB_YETKI_SISTEMI] OFF

-- GENELTANIM
BEGIN TRANSACTION
	DECLARE  @DatabaseName NVARCHAR(MAX)
	SET @DatabaseName    = DB_NAME();
	
	EXEC ORKAGENELTANIM.[dbo].[prd_spcolumn] 1, @DatabaseName, 'WEB_GENELTANIM','FirmaKodu','string50',''; --Alan Ekleniyor
	EXEC ORKAGENELTANIM.[dbo].[prd_spcolumn] 1, @DatabaseName, 'WEB_GENELTANIM','PuantajKontrolTarih','DateTime',''; --Alan Ekleniyor
COMMIT


  
    
  UPDATE WEB_SAYFA 	WITH(UPDLOCK,READPAST) SET Aktif = 0 WHERE SayfaId IN (10,4,7)
  SET IDENTITY_INSERT [dbo].[WEB_SAYFA] ON 
  INSERT [dbo].[WEB_SAYFA] ([SayfaId], [SayfaAdi], [SayfaUrl], [SayfaIcon], [SayfaAciklama], [SayfaIsSubPage], [SayfaSubPageId], [SiraNo], [Aktif]) VALUES (15, N'Firma Tanımları', N'/FirmaTanimlari', N'/Content/OrkaIcons/32/clipboard_checks_32.png', NULL, 0, 5, 15, 1)
  SET IDENTITY_INSERT [dbo].[WEB_SAYFA] OFF


  --26/06/2019 (Süreçlerin düzenlenmesi ile ilgili çalışma)
	ALTER TABLE dbo.WEB_SURECTANIM ADD	WEB_SURECTANIM_Guid uniqueidentifier NOT NULL DEFAULT NEWID()
	ALTER TABLE dbo.WEB_SURECROL ADD	WEB_SURECROL_SURECTANIM_Guid uniqueidentifier NULL DEFAULT NEWID()

   --17/07/2019 (PROSİM Yetki sistemiyle ilgili çalışma)

	ALTER TABLE dbo.WEB_ROLYETKI ADD WEB_ROLYETKI_HedefRolID int NULL
	
	ALTER TABLE [dbo].[WEB_ROLYETKI]  WITH CHECK ADD  CONSTRAINT [FK_WEB_ROLYETKI_WEB_ROL_HEDEFROL] FOREIGN KEY([WEB_ROLYETKI_HedefRolID]) REFERENCES [dbo].[WEB_ROL] ([RolId])
	ALTER TABLE [dbo].[WEB_ROLYETKI] CHECK CONSTRAINT [FK_WEB_ROLYETKI_WEB_ROL_HEDEFROL]

	-- 31/07/2019 SÜREÇ LİSTESİ VIEW UPDATE

	ALTER VIEW [dbo].[vw_WEB_SUREC_LISTESI]	
		AS  
	SELECT 
	ROW_NUMBER() OVER (PARTITION BY IZIN_SUREC.Damga,IZIN_SUREC.RedDurumu ORDER by SURECROL.SurecRolID) surec_sira
	,SURECROL.RolId SUREC_ROLID
	,WEBROL.RolAdi
	,IZIN_SUREC.SurecComplate IZIN_SUREC_SurecComplate
	,IZIN_LIST.*
	,IZIN_SUREC.Damga IZIN_SURECDamga
	,IZIN_SUREC.SurecId IZIN_SURECSurecId
	,ONAY_KULLANICI.GirisAdi ONAY_KULLANICI_GirisAdi
		FROM 
			(SELECT DISTINCT Damga, SurecId,SurecComplate,RedDurumu FROM WEB_KULLANICISUREC WITH(NOLOCK)) IZIN_SUREC
	LEFT JOIN 
			WEB_SURECROL		SURECROL	WITH(NOLOCK) ON IZIN_SUREC.SurecId = SURECROL.SurecID
	LEFT JOIN 
			WEB_KULLANICISUREC	IZIN_LIST 	WITH(NOLOCK) ON IZIN_SUREC.Damga = IZIN_LIST.Damga and SURECROL.RolId = IZIN_LIST.RolId
	LEFT JOIN 
			WEB_ROL				WEBROL		WITH(NOLOCK) ON WEBROL.RolId = SURECROL.RolId

	LEFT JOIN WEB_KULLANICI ONAY_KULLANICI WITH(NOLOCK) ON IZIN_LIST.IDonaypersonel = ONAY_KULLANICI.KullaniciId
	WHERE 
	-- SÃœREÃ‡ TAMAMLANMIÅSA NULLARI GETÄ°RME
	(KullaniciSurecId IS NOT NULL AND IZIN_SUREC.SurecComplate = 1) 
	-- SÃœREÃ‡LERÄ° TAMAMLANMAMIÅLARI GETÄ°R
	OR IZIN_SUREC.SurecComplate = 0

-- 03/01/2020 -- SÜREÇLERİN DEVİR EDİLMESİ İLE İLGİLİ
UPDATE WEB_SURECTANIM WITH(UPDLOCK,READPAST)
set WEB_SURECTANIM_FirmaKodu = SUBSTRING(WEB_SURECTANIM_FirmaKodu,6,4)


-- 06.05.2020 SAATLİ PUANTAJ YETKİ
INSERT [dbo].[WEB_YETKI_SISTEMI] ([WEB_YETKI_SISTEMI_YetkiYeri],[WEB_YETKI_SISTEMI_Index],[WEB_YETKI_SISTEMI_SayfaAdi],[WEB_YETKI_SISTEMI_AltSaayfa],[WEB_YETKI_SISTEMI_YetkiSelector], [WEB_YETKI_SISTEMI_SiraNo], [WEB_YETKI_SISTEMI_SayfaKodu]) 
VALUES 
 (10000,10004, N'Puantaj Girişi', 1		, NULL, 7, 1)
,(30000,30000, N'PUANTAJ', NULL		, NULL, 1, 30)
,(30000,30001, N'Günlük Puantaj', 30		, NULL, 2, 30)
,(30000,30002, N'Saatlik Puantaj', 30		, NULL, 3, 30)
 

--07.05.2020 PUANTAJ TÜRLERİ

CREATE TABLE [dbo].[WEB_PUANTAJ_TURLERI](
	[WEB_PUANTAJ_TURLERI_ID] [int] IDENTITY(1,1) NOT NULL,
	[WEB_PUANTAJ_TURLERI_Kod] [dbo].[tamsayi] NOT NULL,
	[WEB_PUANTAJ_TURLERI_aciklama] [dbo].[string50] NOT NULL,
	[WEB_PUANTAJ_TURLERI_icon] [dbo].[string50] NULL,
	[WEB_PUANTAJ_TURLERI_aktif] [dbo].[evethayir] NULL,
 CONSTRAINT [PK_WEB_PUANTAJ_TURLERI] PRIMARY KEY CLUSTERED 
(
	[WEB_PUANTAJ_TURLERI_Kod] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

--07.05.2020 ROL PUANTAJ BAGLANTISI
CREATE TABLE [dbo].[WEB_ROLPUANTAJTURLERI](
	[WEB_ROLPUANTAJTURLERI_ID] [dbo].[tamsayi] IDENTITY(1,1) NOT NULL,
	[WEB_ROLPUANTAJTURLERI_RolID] [dbo].[tamsayi] NOT NULL,
	[WEB_ROLPUANTAJTURLERI_kod] [dbo].[tamsayi] NOT NULL,
	[WEB_ROLPUANTAJTURLERI_kayitdamga] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_WEB_ROLPUANTAJTURLERI] PRIMARY KEY CLUSTERED 
(
	[WEB_ROLPUANTAJTURLERI_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[WEB_ROLPUANTAJTURLERI] ADD  DEFAULT (newid()) FOR [WEB_ROLPUANTAJTURLERI_kayitdamga]

ALTER TABLE [dbo].[WEB_ROLPUANTAJTURLERI]  WITH CHECK ADD  CONSTRAINT [FK_WEB_ROLPUANTAJTURLERI_WEB_ROL] 
	FOREIGN KEY([WEB_ROLPUANTAJTURLERI_RolID]) 
	REFERENCES [dbo].[WEB_ROL] ([RolId])

ALTER TABLE [dbo].[WEB_ROLPUANTAJTURLERI] 
	CHECK CONSTRAINT [FK_WEB_ROLPUANTAJTURLERI_WEB_ROL]

ALTER TABLE [dbo].[WEB_ROLPUANTAJTURLERI]  WITH CHECK ADD  CONSTRAINT [FK_WEB_ROLPUANTAJTURLERI_WEB_ROLPUANTAJTURLERI] 
	FOREIGN KEY([WEB_ROLPUANTAJTURLERI_ID]) 
	REFERENCES [dbo].[WEB_PUANTAJ_TURLERI] ([WEB_PUANTAJ_TURLERI_Kod])

ALTER TABLE [dbo].[WEB_ROLPUANTAJTURLERI] CHECK CONSTRAINT [FK_WEB_ROLPUANTAJTURLERI_WEB_ROLPUANTAJTURLERI]


INSERT [dbo].[WEB_PUANTAJ_TURLERI] 
([WEB_PUANTAJ_TURLERI_Kod], [WEB_PUANTAJ_TURLERI_aciklama], [WEB_PUANTAJ_TURLERI_icon], [WEB_PUANTAJ_TURLERI_aktif]) VALUES 
 (100, N'Çalışılan', N'success', 1)
,(200, N'Hafta Tatili', N'default', 1)
,(205, N'Arefe Tatil', N'default', 1)
,(210, N'Resmi Tatil', N'default', 1)
,(220, N'Bayram Tatili', N'default', 1)
,(230, N'İdari Tatil', N'default', 1)
,(300, N'Yıllık İzin', N'focus', 1)
,(320, N'Ücretli İstirahat', N'info', 1)
,(330, N'Ücretli Denkleştir', N'info', 0)
,(340, N'Ek Mevzuat İzin', N'info', 1)
,(600, N'Ücretsiz İzin', N'danger', 1)
,(610, N'Gelmedi', N'danger', 1)
,(620, N'İstirahatli', N'info', 1)
,(630, N'Çalışmadı', N'danger', 1)
,(640, N'Ücretsiz Denkleştir', N'danger', 0)


-- 18.01.2021 
SET IDENTITY_INSERT [dbo].[WEB_YETKI_SISTEMI] ON 
INSERT [dbo].[WEB_YETKI_SISTEMI] ([WEB_YETKI_SISTEMI_ID], [WEB_YETKI_SISTEMI_Index], [WEB_YETKI_SISTEMI_SayfaAdi], [WEB_YETKI_SISTEMI_Aktif], [WEB_YETKI_SISTEMI_AltSaayfa], [WEB_YETKI_SISTEMI_YetkiSelector], [WEB_YETKI_SISTEMI_SiraNo], [WEB_YETKI_SISTEMI_SayfaKodu], [WEB_YETKI_SISTEMI_YetkiYeri]) VALUES 
(46, 20104, N'PDKS Puantaj'		, 1, 20, NULL, 5, 20, 20000)
SET IDENTITY_INSERT [dbo].[WEB_YETKI_SISTEMI] OFF

--22.02.2021
SET IDENTITY_INSERT [dbo].[WEB_SURECTIP] ON 
INSERT [dbo].[WEB_SURECTIP] ([TipId], [TipAdi], [Aktif]) VALUES (3, N'Özlük Dosyası Süreci', 1)
SET IDENTITY_INSERT [dbo].[WEB_SURECTIP] OFF

BEGIN TRY	
UPDATE [dbo].[WEB_SAYFA] WITH(UPDLOCK,READPAST)
  SET Aktif = 1,
  SayfaIcon = '/Content/OrkaIcons/32/billboard_empty_32_pln.png'
WHERE SayfaId = 10
END TRY BEGIN CATCH     END CATCH

DECLARE  @DatabaseName NVARCHAR(MAX)
SET @DatabaseName    = DB_NAME();
 
--
EXEC ORKAGENELTANIM.[dbo].[prd_spcolumn] 1, @DatabaseName, 'WEB_KULLANICI',      'sonSifreDegistirmeTarihi',       'DateTime',   'NULL';
